import { ISDKConfig } from './config';
export interface IRequest {
    send(endpoint: string, options: any): any;
    set(config: ISDKConfig): IRequest;
}
export declare class Request implements IRequest {
    config: ISDKConfig;
    defaultHeaders: {
        Accept: 'application/json';
        'Content-Type': 'application/json';
    };
    constructor(config: ISDKConfig);
    send(endpoint: string, options: any): any;
    set(config: ISDKConfig): IRequest;
}
